package org.itscool.stylist.tag;

/**
 * HTMLタグの属性情報を管理するクラス
 * @version 1.00A 2006/04/11 kano
 */
public class HtmlAttribute{
    public static final String TITLE="title";
    public static final String ACTION="action";
    public static final String HREF="href";
    public static final String SRC="src";
    public static final String BGD="background";
    public static final String VALUE="value";
    public static final String CHECKBOX="checkbox";
    public static final String OPTION="option";
    public static final String RADIO="radio";
    public static final String INPUT="input";
    public static final String TYPE="type";
    
    public static final String SP=":";
    public static final String EQ="=";
    public static final String W_KIND="w_kind";
    public static final String W_ID="w_id";
    public static final String W_NAME="w_name";
    public static final String W_PROPERTY="w_property";
    public static final String W_SCOPE="w_scope";
    public static final String W_VALUE="w_value";
    
    
    /** 属性の名前 */
    private String name;
    /** 属性の値 */
    private String value;
    
    /**
     * 属性の名前を取得します
     * @return String 属性の名前
     */
    public String getName() {
        return name;
    }
    
    /**
     * 属性の名前を設定します
     * @param name 属性の名前
     */
    public void setName(String name) {
        this.name = name;
    }
    
    /**
     * 属性の値を取得します
     * @return 属性の値
     */
    public String getValue() {
        return value;
    }
    
    /**
     * 属性の値を設定します
     * @param value 属性の値
     */
    public void setValue(String value) {
        this.value = value;
    }
    
    /**
     * 属性の構成情報をString形式で取得します
     * @return 属性の構成情報
     */
    public String toString(){
        StringBuffer sb = new StringBuffer();
        sb.append(name);
        sb.append(" [").append(value).append("]");
        return sb.toString();
    }
}